<script setup lang="ts">
import { computed } from 'vue'
// composables
import months from './composables/months'
import items from './composables/wellnessItems'
// current month on this case is May (based on the image you gave me ;)
const currentMonth = ref(4)
const showItems = ref(true)
const getMonthsStartingFromCurrent = computed(() => {
  return [...months.slice(currentMonth.value), ...months.slice(0, currentMonth.value)]
})
</script>

<template>
  <main>
    <div class="py-12 bg-white">
      <div class="max-w-7xl mx-auto px-8">
        <div>
          <h1 class="text-4xl font-semibold tracking-tight text-gray-900 mb-6">2021 Wellness Plan</h1>
        </div>
        <div class="border-solid border-1 border-gray-200 rounded-lg p-7">
          <div class="flex justify-between mb-6">
            <div class="flex">
              <h2 class="text-4xl tracking-tight text-gray-900">Your Progress</h2>
              <span class="text-5 ml-4 font-bold color-gray-400 mt-2.6">3 steps to complete</span>
            </div>
            <a
              href="#"
              @click="e => showItems = !showItems"
              class="mt-3.5 border-solid border-b-1 border-gray-900"
            >hide</a>
          </div>
          <div class="grid grid-cols-4">
            <ProgressGauge />
            <div class="col-span-3">
              <ListTimeline :months="getMonthsStartingFromCurrent" :items="items" />
              <List v-if="showItems" :items="items"></List>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
</template>
